### Method

# Foundry Context save

#### Declaration [src]

    DexFuture*
    foundry_context_save (
      FoundryContext* self,
      DexCancellable* cancellable
    )

#### Description [src]

Save the foundry state to the `FoundryContext:directory`.

#### Parameters

`cancellable`

  Type: `DexCancellable`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that will resolve to a boolean.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.